Blame SOURCES/0008-prebuilt-files-for-man-page-for-ibus-table-createdb.patch

fc8e58
diff -Nru ibus-table-1.5.0.orig/engine/Makefile.in ibus-table-1.5.0/engine/Makefile.in
fc8e58
--- ibus-table-1.5.0.orig/engine/Makefile.in	2014-01-24 09:07:09.814525660 +0100
fc8e58
+++ ibus-table-1.5.0/engine/Makefile.in	2014-01-24 09:07:34.954690472 +0100
fc8e58
@@ -1,7 +1,7 @@
fc8e58
-# Makefile.in generated by automake 1.12.2 from Makefile.am.
fc8e58
+# Makefile.in generated by automake 1.13.4 from Makefile.am.
fc8e58
 # @configure_input@
fc8e58
 
fc8e58
-# Copyright (C) 1994-2012 Free Software Foundation, Inc.
fc8e58
+# Copyright (C) 1994-2013 Free Software Foundation, Inc.
fc8e58
 
fc8e58
 # This Makefile.in is free software; the Free Software Foundation
fc8e58
 # gives unlimited permission to copy and/or distribute it,
fc8e58
@@ -37,23 +37,51 @@
fc8e58
 
fc8e58
 
fc8e58
 VPATH = @srcdir@
fc8e58
-am__make_dryrun = \
fc8e58
-  { \
fc8e58
-    am__dry=no; \
fc8e58
+am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
fc8e58
+am__make_running_with_option = \
fc8e58
+  case $${target_option-} in \
fc8e58
+      ?) ;; \
fc8e58
+      *) echo "am__make_running_with_option: internal error: invalid" \
fc8e58
+              "target option '$${target_option-}' specified" >&2; \
fc8e58
+         exit 1;; \
fc8e58
+  esac; \
fc8e58
+  has_opt=no; \
fc8e58
+  sane_makeflags=$$MAKEFLAGS; \
fc8e58
+  if $(am__is_gnu_make); then \
fc8e58
+    sane_makeflags=$$MFLAGS; \
fc8e58
+  else \
fc8e58
     case $$MAKEFLAGS in \
fc8e58
       *\\[\ \	]*) \
fc8e58
-        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
fc8e58
-          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
fc8e58
-      *) \
fc8e58
-        for am__flg in $$MAKEFLAGS; do \
fc8e58
-          case $$am__flg in \
fc8e58
-            *=*|--*) ;; \
fc8e58
-            *n*) am__dry=yes; break;; \
fc8e58
-          esac; \
fc8e58
-        done;; \
fc8e58
+        bs=\\; \
fc8e58
+        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
fc8e58
+          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
fc8e58
     esac; \
fc8e58
-    test $$am__dry = yes; \
fc8e58
-  }
fc8e58
+  fi; \
fc8e58
+  skip_next=no; \
fc8e58
+  strip_trailopt () \
fc8e58
+  { \
fc8e58
+    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
fc8e58
+  }; \
fc8e58
+  for flg in $$sane_makeflags; do \
fc8e58
+    test $$skip_next = yes && { skip_next=no; continue; }; \
fc8e58
+    case $$flg in \
fc8e58
+      *=*|--*) continue;; \
fc8e58
+        -*I) strip_trailopt 'I'; skip_next=yes;; \
fc8e58
+      -*I?*) strip_trailopt 'I';; \
fc8e58
+        -*O) strip_trailopt 'O'; skip_next=yes;; \
fc8e58
+      -*O?*) strip_trailopt 'O';; \
fc8e58
+        -*l) strip_trailopt 'l'; skip_next=yes;; \
fc8e58
+      -*l?*) strip_trailopt 'l';; \
fc8e58
+      -[dEDm]) skip_next=yes;; \
fc8e58
+      -[JT]) skip_next=yes;; \
fc8e58
+    esac; \
fc8e58
+    case $$flg in \
fc8e58
+      *$$target_option*) has_opt=yes; break;; \
fc8e58
+    esac; \
fc8e58
+  done; \
fc8e58
+  test $$has_opt = yes
fc8e58
+am__make_dryrun = (target_option=n; $(am__make_running_with_option))
fc8e58
+am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
fc8e58
 pkgdatadir = $(datadir)/@PACKAGE@
fc8e58
 pkgincludedir = $(includedir)/@PACKAGE@
fc8e58
 pkglibdir = $(libdir)/@PACKAGE@
fc8e58
@@ -73,10 +101,10 @@
fc8e58
 build_triplet = @build@
fc8e58
 host_triplet = @host@
fc8e58
 subdir = engine
fc8e58
-DIST_COMMON = $(engine_table_PYTHON) $(srcdir)/Makefile.am \
fc8e58
-	$(srcdir)/Makefile.in $(srcdir)/ibus-engine-table.in \
fc8e58
+DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
fc8e58
+	$(srcdir)/ibus-engine-table.in \
fc8e58
 	$(srcdir)/ibus-table-createdb.in $(srcdir)/table.xml.in.in \
fc8e58
-	$(top_srcdir)/py-compile
fc8e58
+	$(engine_table_PYTHON) $(top_srcdir)/py-compile
fc8e58
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
fc8e58
 am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
fc8e58
 	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
fc8e58
@@ -120,6 +148,18 @@
fc8e58
 	"$(DESTDIR)$(engine_tabledir)" "$(DESTDIR)$(man1dir)" \
fc8e58
 	"$(DESTDIR)$(enginedir)" "$(DESTDIR)$(engine_tabledir)"
fc8e58
 SCRIPTS = $(bin_SCRIPTS) $(libexec_SCRIPTS)
fc8e58
+AM_V_P = $(am__v_P_@AM_V@)
fc8e58
+am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
fc8e58
+am__v_P_0 = false
fc8e58
+am__v_P_1 = :
fc8e58
+AM_V_GEN = $(am__v_GEN_@AM_V@)
fc8e58
+am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
fc8e58
+am__v_GEN_0 = @echo "  GEN     " $@;
fc8e58
+am__v_GEN_1 = 
fc8e58
+AM_V_at = $(am__v_at_@AM_V@)
fc8e58
+am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
fc8e58
+am__v_at_0 = @
fc8e58
+am__v_at_1 = 
fc8e58
 SOURCES =
fc8e58
 DIST_SOURCES =
fc8e58
 am__can_run_installinfo = \
fc8e58
@@ -128,14 +168,18 @@
fc8e58
     *) (install-info --version) >/dev/null 2>&1;; \
fc8e58
   esac
fc8e58
 am__py_compile = PYTHON=$(PYTHON) $(SHELL) $(py_compile)
fc8e58
+am__pep3147_tweak = \
fc8e58
+  sed -e 's|\.py$$||' -e 's|[^/]*$$|__pycache__/&.*.py|'
fc8e58
 py_compile = $(top_srcdir)/py-compile
fc8e58
 man1dir = $(mandir)/man1
fc8e58
 NROFF = nroff
fc8e58
 MANS = $(man_MANS)
fc8e58
 DATA = $(engine_DATA) $(engine_table_DATA)
fc8e58
+am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
fc8e58
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
fc8e58
 ACLOCAL = @ACLOCAL@
fc8e58
 AMTAR = @AMTAR@
fc8e58
+AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
fc8e58
 AUTOCONF = @AUTOCONF@
fc8e58
 AUTOHEADER = @AUTOHEADER@
fc8e58
 AUTOMAKE = @AUTOMAKE@
fc8e58
@@ -435,13 +479,23 @@
fc8e58
 uninstall-engine_tablePYTHON:
fc8e58
 	@$(NORMAL_UNINSTALL)
fc8e58
 	@list='$(engine_table_PYTHON)'; test -n "$(engine_tabledir)" || list=; \
fc8e58
-	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
fc8e58
-	test -n "$$files" || exit 0; \
fc8e58
+	py_files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
fc8e58
+	test -n "$$py_files" || exit 0; \
fc8e58
 	dir='$(DESTDIR)$(engine_tabledir)'; \
fc8e58
-	filesc=`echo "$$files" | sed 's|$$|c|'`; \
fc8e58
-	fileso=`echo "$$files" | sed 's|$$|o|'`; \
fc8e58
+	pyc_files=`echo "$$py_files" | sed 's|$$|c|'`; \
fc8e58
+	pyo_files=`echo "$$py_files" | sed 's|$$|o|'`; \
fc8e58
+	py_files_pep3147=`echo "$$py_files" | $(am__pep3147_tweak)`; \
fc8e58
+	echo "$$py_files_pep3147";\
fc8e58
+	pyc_files_pep3147=`echo "$$py_files_pep3147" | sed 's|$$|c|'`; \
fc8e58
+	pyo_files_pep3147=`echo "$$py_files_pep3147" | sed 's|$$|o|'`; \
fc8e58
 	st=0; \
fc8e58
-	for files in "$$files" "$$filesc" "$$fileso"; do \
fc8e58
+	for files in \
fc8e58
+	  "$$py_files" \
fc8e58
+	  "$$pyc_files" \
fc8e58
+	  "$$pyo_files" \
fc8e58
+	  "$$pyc_files_pep3147" \
fc8e58
+	  "$$pyo_files_pep3147" \
fc8e58
+	; do \
fc8e58
 	  $(am__uninstall_files_from_dir) || st=$$?; \
fc8e58
 	done; \
fc8e58
 	exit $$st
fc8e58
@@ -530,29 +584,14 @@
fc8e58
 	@list='$(engine_table_DATA)'; test -n "$(engine_tabledir)" || list=; \
fc8e58
 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
fc8e58
 	dir='$(DESTDIR)$(engine_tabledir)'; $(am__uninstall_files_from_dir)
fc8e58
-tags: TAGS
fc8e58
-TAGS:
fc8e58
+tags TAGS:
fc8e58
 
fc8e58
-ctags: CTAGS
fc8e58
-CTAGS:
fc8e58
+ctags CTAGS:
fc8e58
 
fc8e58
 cscope cscopelist:
fc8e58
 
fc8e58
 
fc8e58
 distdir: $(DISTFILES)
fc8e58
-	@list='$(MANS)'; if test -n "$$list"; then \
fc8e58
-	  list=`for p in $$list; do \
fc8e58
-	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
fc8e58
-	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
fc8e58
-	  if test -n "$$list" && \
fc8e58
-	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
fc8e58
-	    echo "error: found man pages containing the 'missing help2man' replacement text:" >&2; \
fc8e58
-	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
fc8e58
-	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
fc8e58
-	    echo "       typically 'make maintainer-clean' will remove them" >&2; \
fc8e58
-	    exit 1; \
fc8e58
-	  else :; fi; \
fc8e58
-	else :; fi
fc8e58
 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
fc8e58
 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
fc8e58
 	list='$(DISTFILES)'; \
fc8e58
@@ -694,18 +733,19 @@
fc8e58
 
fc8e58
 .MAKE: install-am install-strip
fc8e58
 
fc8e58
-.PHONY: all all-am check check-am clean clean-generic distclean \
fc8e58
-	distclean-generic distdir dvi dvi-am html html-am info info-am \
fc8e58
-	install install-am install-binSCRIPTS install-data \
fc8e58
-	install-data-am install-dvi install-dvi-am install-engineDATA \
fc8e58
-	install-engine_tableDATA install-engine_tablePYTHON \
fc8e58
-	install-exec install-exec-am install-html install-html-am \
fc8e58
-	install-info install-info-am install-libexecSCRIPTS \
fc8e58
-	install-man install-man1 install-pdf install-pdf-am install-ps \
fc8e58
-	install-ps-am install-strip installcheck installcheck-am \
fc8e58
-	installdirs maintainer-clean maintainer-clean-generic \
fc8e58
-	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am uninstall \
fc8e58
-	uninstall-am uninstall-binSCRIPTS uninstall-engineDATA \
fc8e58
+.PHONY: all all-am check check-am clean clean-generic cscopelist-am \
fc8e58
+	ctags-am distclean distclean-generic distdir dvi dvi-am html \
fc8e58
+	html-am info info-am install install-am install-binSCRIPTS \
fc8e58
+	install-data install-data-am install-dvi install-dvi-am \
fc8e58
+	install-engineDATA install-engine_tableDATA \
fc8e58
+	install-engine_tablePYTHON install-exec install-exec-am \
fc8e58
+	install-html install-html-am install-info install-info-am \
fc8e58
+	install-libexecSCRIPTS install-man install-man1 install-pdf \
fc8e58
+	install-pdf-am install-ps install-ps-am install-strip \
fc8e58
+	installcheck installcheck-am installdirs maintainer-clean \
fc8e58
+	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
fc8e58
+	pdf-am ps ps-am tags-am uninstall uninstall-am \
fc8e58
+	uninstall-binSCRIPTS uninstall-engineDATA \
fc8e58
 	uninstall-engine_tableDATA uninstall-engine_tablePYTHON \
fc8e58
 	uninstall-libexecSCRIPTS uninstall-man uninstall-man1
fc8e58
 
fc8e58
diff -Nru ibus-table-1.5.0.orig/engine/ibus-table-createdb.1 ibus-table-1.5.0/engine/ibus-table-createdb.1
fc8e58
--- ibus-table-1.5.0.orig/engine/ibus-table-createdb.1	2014-01-24 09:07:09.814525660 +0100
fc8e58
+++ ibus-table-1.5.0/engine/ibus-table-createdb.1	2014-01-24 09:07:30.058658483 +0100
fc8e58
@@ -17,22 +17,22 @@
fc8e58
 options is included below.
fc8e58
 .TP
fc8e58
 \fB-n\fR
fc8e58
-\fIdatabase-file\fR specifies the file which will contain the binary database for the IME. The default is ''.
fc8e58
+\fIdatabase-file\fR specifies the file name for the binary database for the IME. The default is ''. If the file name of the database is not specified, the file name of the source file before the first '.' will be appended with '.db' and that will be used as the file name of the database.
fc8e58
 .TP
fc8e58
 \fB-s\fR
fc8e58
 \fIsource-file\fR specifies the file which contains the source of the IME. The default is ''.
fc8e58
 .TP
fc8e58
 \fB-e\fR
fc8e58
-\fIextra-words-file\fR specifies the file for the extra words for the IME. The default is ''.
fc8e58
+\fIextra-words-file\fR specifies the file name for the extra words for the IME. The default is ''.
fc8e58
 .TP
fc8e58
 \fB-p\fR
fc8e58
-\fIpinyin-file\fR specifies the source file for the pinyin. The default is /usr/share/ibus-table/data/pinyin_table.txt.bz2.
fc8e58
+\fIpinyin-file\fR specifies the source file for the pinyin. The default is '/usr/share/ibus-table/data/pinyin_table.txt.bz2'.
fc8e58
 .TP
fc8e58
 \fB-o\fR
fc8e58
-Do not create an index for for a database (Only for distribution purposes, a normal user should not use this flag!)
fc8e58
+Do not create an index for a database (Only for distribution purposes, a normal user should not use this flag!)
fc8e58
 .TP
fc8e58
 \fB-i\fR
fc8e58
-Only create an index for an existing database.
fc8e58
+Only create an index for an existing database. Specifying the file name of the binary database with the -n or --name option is required when this option is used.
fc8e58
 .TP
fc8e58
 \fB-d\fR
fc8e58
 Print extra debug messages.